Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.mindcase.co/llms.txt

Use this file to discover all available pages before exploring further.

$5 / 1k companies Extract YC startup leads, founder emails, LinkedIn profiles, and hiring data from a URL

Endpoint

POST /api/v1/agents/ycombinator/companies/run

Parameters

url
string
required
Text · Companies search URL.Go to link, search using the required filters, and once you are done, copy the full URL from the address bar and paste it here.
scrapeFounders
boolean
default:true
Toggle · If true, the actor will scrape information about all company founders.
scrapeOpenJobs
boolean
default:false
Toggle · Set to true if you want to get information about open jobs.
maxCompanies
integer
default:0
Number · Maximum number of results to return. Use 0 for all.

Response columns

FieldDisplay nameType
ycUrlYC URLurl
companyCompanytext
shortDescriptionShort Descriptiontext
longDescriptionLong Descriptiontext
logoLogourl
websiteWebsiteurl
locationLocationtext
batchBatchtext
statusStatustext
industryIndustrytext
subindustrySubindustrytext
tagsTagstext
foundedFoundednumber
teamSizeTeam Sizenumber
hiringHiringboolean
openJobsOpen Jobsnumber
ycPartnerYC Partnertext
linkedinLinkedInurl
twitterTwitterurl
crunchbaseCrunchbaseurl
githubGitHuburl
founderFoundertext
founderTitleFounder Titletext
founderBioFounder Biotext
founderLinkedinFounder LinkedInurl
founderTwitterFounder Twitterurl
founderEmailFounder Emailemail
emailAvailableEmail Availableboolean
emailStatusEmail Statustext
companyIdCompany IDtext
founderIdFounder IDtext

Example

curl -X POST https://api.mindcase.co/api/v1/agents/ycombinator/companies/run \
  -H "Authorization: Bearer mk_live_abc123def456" \
  -H "Content-Type: application/json" \
  -d '{
  "params": {
    "url": "https://www.ycombinator.com/companies?batch=Spring%202026",
    "scrapeFounders": true,
    "scrapeOpenJobs": false,
    "scrapeAllCompanies": false
  }
}'

Example response

Response
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "ycUrl": "https://www.ycombinator.com/companies/gikl-inc",
      "company": "Gikl, Inc",
      "shortDescription": "Accelerating scientific discovery with AI",
      "longDescription": "ScienceSwarm makes AI useful for what matters. Coding assistants turned millions of people into software developers \u2014 we're doing the same for science. Our platform lets anyone point their AI at unsolved problems in math, science, and engineering, submit approaches and hypotheses, and verify the work with a community of AI-powered enthusiasts. AI's biggest impact won't be personal productivity. It will be unlocking scientific breakthroughs that humans alone can't reach.",
      "logo": "https://bookface-images.s3.amazonaws.com/small_logos/671f22915a13be6fba0e1479fe843328102d944c.png",
      "website": "https://scienceswarm.ai",
      "location": "San Francisco",
      "batch": "Spring 2026",
      "status": "Active",
      "industry": "Consumer",
      "subindustry": null,
      "tags": [
        "Swarm AI",
        "AI",
        "AI Assistant",
        "San Francisco"
      ],
      "founded": "2026",
      "teamSize": "2",
      "hiring": false,
      "openJobs": 0,
      "ycPartner": "Garry Tan",
      "linkedin": "https://www.linkedin.com/company/scienceswarm-ai",
      "twitter": null,
      "crunchbase": null,
      "github": null,
      "founder": null,
      "founderTitle": null,
      "founderBio": null,
      "founderLinkedin": null,
      "founderTwitter": null,
      "founderEmail": null,
      "emailAvailable": null,
      "emailStatus": null,
      "companyId": 31333,
      "founderId": null
    }
  ]
}